Bug 29576 - Add street type to fields which can be copied from guarantor to guarantee
Summary: Add street type to fields which can be copied from guarantor to guarantee
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Didier Gautheron
QA Contact: Testopia
URL:
Keywords:
Depends on: 22534
Blocks:
  Show dependency treegraph
 
Reported: 2021-11-25 14:30 UTC by Didier Gautheron
Modified: 2022-04-08 12:43 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.05


Attachments
Bug 34874: Add streettype and B_streettype to PrefillGuaranteeField (1.74 KB, patch)
2021-12-04 09:44 UTC, Didier Gautheron
Details | Diff | Splinter Review
Bug 34874: Add streettype and B_streettype to PrefillGuaranteeField (1.80 KB, patch)
2022-01-07 16:22 UTC, The Minh Luong
Details | Diff | Splinter Review
Bug 34874: Add streettype and B_streettype to PrefillGuaranteeField (1.86 KB, patch)
2022-03-27 00:06 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29576: (QA follow-up) Rename road type to street type to match patron form (2.11 KB, patch)
2022-03-27 00:06 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Didier Gautheron 2021-11-25 14:30:25 UTC
Since #22534 you can prefill addresses but streettype and B_streettype aren't in koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/patrons.pref list.
Comment 1 Didier Gautheron 2021-12-04 09:44:24 UTC
Created attachment 128248 [details] [review]
Bug 34874: Add streettype and B_streettype to PrefillGuaranteeField

To test :
 1) modify PrefillGuaranteeField system preference
 2) road type for main and alternate addresses aren't in the list
 3) Apply patch
 4) Redo 1, now they are
Comment 2 The Minh Luong 2022-01-07 16:22:36 UTC
Created attachment 129197 [details] [review]
Bug 34874: Add streettype and B_streettype to PrefillGuaranteeField

To test :
 1) modify PrefillGuaranteeField system preference
 2) road type for main and alternate addresses aren't in the list
 3) Apply patch
 4) Redo 1, now they are

https://bugs.koha-community.org/show_bug.cgi?id=29576
Signed-off-by: The Minh Luong <the-minh.luong@inlibro.com>
Comment 3 Sally 2022-01-26 14:46:07 UTC
Changing status to Signed Off, as per comment 2.
Comment 4 Katrin Fischer 2022-03-27 00:06:38 UTC
Created attachment 132267 [details] [review]
Bug 34874: Add streettype and B_streettype to PrefillGuaranteeField

To test :
 1) modify PrefillGuaranteeField system preference
 2) road type for main and alternate addresses aren't in the list
 3) Apply patch
 4) Redo 1, now they are

https://bugs.koha-community.org/show_bug.cgi?id=29576
Signed-off-by: The Minh Luong <the-minh.luong@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2022-03-27 00:06:42 UTC
Created attachment 132268 [details] [review]
Bug 29576: (QA follow-up) Rename road type to street type to match patron form

This changes the pref description so the field name matches what
we use in the patron form.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Fridolin Somers 2022-04-05 15:20:30 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 7 Kyle M Hall 2022-04-08 12:43:03 UTC
Pushed to 21.11.x for 21.11.05